#version 330 core

out vec4 FragColor;

in vec2 TextureCoords;

uniform sampler2D imageMap;
uniform float near_plane;
uniform float far_plane;

void main() {             
    float depthValue = texture(imageMap, TextureCoords).r;
    FragColor = vec4(vec3(depthValue), 1.0); // orthographic
}