#version 330 core
out vec4 FragColor;
  
in vec2 TexCoords;

uniform sampler2D screenTexture;

uniform sampler2D ssaoInput;

void main() { 
	vec4 defaultColor = texture(screenTexture, TexCoords);
	float occlusion = texture(ssaoInput, TexCoords).r;
    FragColor =  defaultColor * occlusion;
	FragColor.w = 1.0;
}